package de.masterfacture.ProductionPlanning.RouteCalculation;


public class Conveyor extends ProductionPlantPart
{
	/**
	 * The current conveyor's length.
	 */
	private double length;
	
	public Conveyor(String id, ProductionPlantPartType type)
	{
		super(id, type);
		this.length = 1;
	}

	/**
	 * Returns the current conveyor's length.
	 * @return length The current conveyor's length.
	 */
	public double getLength()
	{
		return this.length;
	}

	/**
	 * Sets the current conveyor's length.
	 * @param length The current conveyor's new length.
	 */
	public void setLength(double length)
	{
		this.length = length;
	}
	
	public String toString()
	{
		return super.toString() + " (length " + this.length + ")";
	}
}
